[arch-commits] Commit in gmp/repos (6 files)

Allan McRae allan at archlinux.org
Wed Dec 19 01:14:54 UTC 2012


    Date: Tuesday, December 18, 2012 @ 20:14:54
  Author: allan
Revision: 173324

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gmp/repos/testing-i686/
  gmp/repos/testing-i686/PKGBUILD
    (from rev 173323, gmp/trunk/PKGBUILD)
  gmp/repos/testing-i686/gmp.install
    (from rev 173323, gmp/trunk/gmp.install)
  gmp/repos/testing-x86_64/
  gmp/repos/testing-x86_64/PKGBUILD
    (from rev 173323, gmp/trunk/PKGBUILD)
  gmp/repos/testing-x86_64/gmp.install
    (from rev 173323, gmp/trunk/gmp.install)

----------------------------+
 testing-i686/PKGBUILD      |   36 ++++++++++++++++++++++++++++++++++++
 testing-i686/gmp.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD    |   36 ++++++++++++++++++++++++++++++++++++
 testing-x86_64/gmp.install |   20 ++++++++++++++++++++
 4 files changed, 112 insertions(+)

Copied: gmp/repos/testing-i686/PKGBUILD (from rev 173323, gmp/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-12-19 01:14:54 UTC (rev 173324)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gmp
+pkgver=5.1.0
+pkgrel=1
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=('i686' 'x86_64')
+url="http://gmplib.org/"
+depends=('gcc-libs' 'sh')
+license=('LGPL3')
+options=(!libtool)
+install=gmp.install
+source=(ftp://ftp.gmplib.org/pub/gmp-${pkgver}/gmp-${pkgver}.tar.xz{,.sig})
+md5sums=('69fd511e435f81a0334f14f00c7d77b3'
+         '7a02b99dc7edd9822c210f78d88140e5')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  
+  [[ ${CARCH} = "i686" ]] && export ABI="32"
+  ./configure --build=${CHOST} \
+    --prefix=/usr --enable-cxx
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gmp/repos/testing-i686/gmp.install (from rev 173323, gmp/trunk/gmp.install)
===================================================================
--- testing-i686/gmp.install	                        (rev 0)
+++ testing-i686/gmp.install	2012-12-19 01:14:54 UTC (rev 173324)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}

Copied: gmp/repos/testing-x86_64/PKGBUILD (from rev 173323, gmp/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-12-19 01:14:54 UTC (rev 173324)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gmp
+pkgver=5.1.0
+pkgrel=1
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=('i686' 'x86_64')
+url="http://gmplib.org/"
+depends=('gcc-libs' 'sh')
+license=('LGPL3')
+options=(!libtool)
+install=gmp.install
+source=(ftp://ftp.gmplib.org/pub/gmp-${pkgver}/gmp-${pkgver}.tar.xz{,.sig})
+md5sums=('69fd511e435f81a0334f14f00c7d77b3'
+         '7a02b99dc7edd9822c210f78d88140e5')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  
+  [[ ${CARCH} = "i686" ]] && export ABI="32"
+  ./configure --build=${CHOST} \
+    --prefix=/usr --enable-cxx
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gmp/repos/testing-x86_64/gmp.install (from rev 173323, gmp/trunk/gmp.install)
===================================================================
--- testing-x86_64/gmp.install	                        (rev 0)
+++ testing-x86_64/gmp.install	2012-12-19 01:14:54 UTC (rev 173324)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for f in ${info_files[@]}; do
+    install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list